summaryrefslogtreecommitdiff
path: root/pcr/tahoe-lafs
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@endefensadelsl.org>2013-09-13 10:49:01 -0300
committerNicolás Reynolds <fauno@endefensadelsl.org>2013-09-13 10:49:01 -0300
commit49393bba118e095e2972523a26977e2b31e550ff (patch)
tree4a6769d8ccc0eb45d83f149e269aa91a54e7a93f /pcr/tahoe-lafs
parent23c93a8bc3b2e79b3438f12ca03a3ef28a44fcbb (diff)
Tahoe LAFS
Diffstat (limited to 'pcr/tahoe-lafs')
-rw-r--r--pcr/tahoe-lafs/PKGBUILD30
-rw-r--r--pcr/tahoe-lafs/nodaemon.patch19
2 files changed, 49 insertions, 0 deletions
diff --git a/pcr/tahoe-lafs/PKGBUILD b/pcr/tahoe-lafs/PKGBUILD
new file mode 100644
index 000000000..8ace70679
--- /dev/null
+++ b/pcr/tahoe-lafs/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: Peter Simons <simons@cryp.to>
+# Contributor: Nicolas Pouillard <nicolas.pouillard@gmail.com>
+pkgname=tahoe-lafs
+pkgver=1.10.0
+pkgrel=1
+pkgdesc="a secure, decentralized, fault-tolerant filesystem"
+arch=('any')
+url='http://tahoe-lafs.org/'
+license=('GPL')
+# net-tools is needed because Tahoe-LAFS uses /sbin/ifconfig
+depends=('net-tools' 'python2' 'python2-zope-interface>=3.6.5'
+ 'twisted' 'python2-pyasn1' 'python2-crypto' 'pycryptopp' 'nevow'
+ 'python2-foolscap' 'python2-simplejson' 'zfec' 'python2-pyopenssl'
+ 'pyutil' 'python2-argparse' 'zbase32' 'python2-mock>=0.8.0')
+source=(nodaemon.patch https://tahoe-lafs.org/source/tahoe-lafs/releases/allmydata-tahoe-$pkgver.tar.bz2)
+sha256sums=('7fb13a50bdca729b9c78f12369e56fccf55594b646bddb270d55c08c83ce3449'
+ '9c5516700fe95fdf8c57eca1e2a7b4aebf2de9a4d327d50afd684ebf833ccfe2')
+
+build(){
+ cd "$srcdir/allmydata-tahoe-$pkgver"
+ patch -p0 < ../nodaemon.patch
+ python2 setup.py build
+ # disabled due to the nodaemon patch and the test_filesystem* tests
+ #python2 setup.py test || return 1
+}
+
+package(){
+ cd "$srcdir/allmydata-tahoe-$pkgver"
+ python2 setup.py install --root="$pkgdir"
+}
diff --git a/pcr/tahoe-lafs/nodaemon.patch b/pcr/tahoe-lafs/nodaemon.patch
new file mode 100644
index 000000000..dfcc0b8ae
--- /dev/null
+++ b/pcr/tahoe-lafs/nodaemon.patch
@@ -0,0 +1,19 @@
+--- src/allmydata/scripts/startstop_node.py 2011-10-30 22:54:34.000000000 +0100
++++ src/allmydata/scripts/startstop_node.py 2011-11-10 15:22:21.432711365 +0100
+@@ -10,6 +10,7 @@
+ optFlags = [
+ ["profile", "p", "Run under the Python profiler, putting results in 'profiling_results.prof'."],
+ ["syslog", None, "Tell the node to log to syslog, not a file."],
++ ["nodaemon", "n", "Do not daemonize."],
+ ]
+
+ def getSynopsis(self):
+@@ -70,6 +71,8 @@
+ args.extend(["--logfile", os.path.join("logs", "twistd.log")])
+ if opts["profile"]:
+ args.extend(["--profile=profiling_results.prof", "--savestats",])
++ if opts["nodaemon"]:
++ args.extend(["--nodaemon", "--umask=0077"])
+ # now we're committed
+ os.chdir(basedir)
+ from twisted.scripts import twistd